Get a canvas
curl --request GET \
--url https://api.melius.com/api/v1/canvases/{canvasId} \
--header 'Authorization: Bearer <token>' \
--header 'x-team-id: <api-key>'import requests
url = "https://api.melius.com/api/v1/canvases/{canvasId}"
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};
fetch('https://api.melius.com/api/v1/canvases/{canvasId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"nodeCount": 123,
"sortOrder": 123,
"worldConfig": {},
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previewAssets": [
{
"url": "<string>",
"thumbnailUrl": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Canvases
Get a canvas
GET
/
api
/
v1
/
canvases
/
{canvasId}
Get a canvas
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Path Parameters
Response
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 9, 2026
⌘I